data:extend({

-----------------------------------------------------------------------------
----------------------------------- Item ------------------------------------
-----------------------------------------------------------------------------
  {
    type = "item",
    name = "rt-lab",
    icon = "__base__/graphics/icons/lab.png",
    flags = {"goes-to-quickbar"},
    subgroup = "production-machine",
    order = "g[lab]",
    place_result = "lab",
    stack_size = 10
  },
  

 ----------------------------------------------------------------------------
 ----------------------------------- Recipe ---------------------------------
 ----------------------------------------------------------------------------
-- rt-rocket

 {
    type = "recipe",
    name = "lab",
    energy_required = 15,
    ingredients =
    {
	  {"lab", 1},
      {"processing-unit", 10},
      {"speed-module-3", 10},
      {"basic-transport-belt", 4}
    },
    result = "rt-lab"
  },

 ----------------------------------------------------------------------------
 ----------------------------------- Entity ---------------------------------
 ----------------------------------------------------------------------------

    type = "lab",
    name = "rt-lab",
    icon = "__base__/graphics/icons/lab.png",
    flags = {"placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "rt-lab"},
    max_health = 350,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    light = {intensity = 0.75, size = 8},
    on_animation =
    {
      filename = "__rocket_tech__/graphics/rt-lab-animation.png",
      width = 113,
      height = 91,
      frame_count = 5,
      line_length = 5,
      animation_speed = .25,
      shift = {0.2, 0.15}
    },
    off_animation =
    {
      filename = "__rocket_tech__/graphics/rt-lab-static.png",
      width = 113,
      height = 91,
      frame_count = 1,
      shift = {0.2, 0.15}
    },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/lab.ogg",
        volume = 0.2
      },
      apparent_volume = 1
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_usage = "60kW",
    researching_speed = 1,
    inputs =
    {
      "science-pack-1",
      "science-pack-2",
      "science-pack-3",
      "alien-science-pack",
	  "rocket-science-pack"
    },
    module_specification =
    {
      module_slots = 4,
      max_entity_info_module_icons_per_row = 4,
      max_entity_info_module_icon_rows = 2,
      module_info_icon_shift = {0, 0.9}
    }
  },

 ----------------------------------------------------------------------------
 ----------------------------------- Tech -----------------------------------
 ----------------------------------------------------------------------------
 --rocket-silo

})