data:extend({

-----------------------------------------------------------------------------
----------------------------------- Item ------------------------------------
-----------------------------------------------------------------------------
  {
    type = "item",
    name = "rt-rocket",
    icon = "__base__/graphics/icons/rocket-part.png",
	dark_background_icon = "__rocket_tech__/graphics/rocket-part-light.png",
    flags = {"goes-to-main-inventory"},
	subgroup = "science-pack",
    order = "f",
    stack_size = 10
  },
  
  {
    type = "tool",
    name = "rocket-science-pack",
	
    icon = "__rocket_tech__/graphics/rocket-science-pack.png",
    flags = {"goes-to-main-inventory"},
	subgroup = "science-pack",
    order = "e", -- after alien-science-pack
    stack_size = 200,
    durability = 1,
    durability_description_key = "description.science-pack-remaining-amount",
    stack_size = 200
  },

 ----------------------------------------------------------------------------
 ----------------------------------- Recipe ---------------------------------
 ----------------------------------------------------------------------------

  {
    type = "recipe",
    name = "rt-rocket",
    energy_required = 60,
    enabled = false,
    ingredients =
    {
      {"low-density-structure", 10},
      {"rocket-fuel", 10},
      {"rocket-control-unit", 10},
    },
    result = "rt-rocket"
  },
  
  {
    type = "recipe",
    name = "rocket-science-pack",
    enabled = false,
    energy_required = 12,
    ingredients =
    {
      -- {"rt-rocket", 100},
	  {"rt-rocket", 100}, -- make it back!
      {"satellite", 1},
    },
    result = "rocket-science-pack"
  },

 ----------------------------------------------------------------------------
 ----------------------------------- Tech -----------------------------------
 ----------------------------------------------------------------------------
  
  
  
--rocket-silo-2

  {
    type = "technology",
    name = "rocket-silo-2",
    icon = "__base__/graphics/technology/rocket-silo.png",
    effects =
    {
      {type = "unlock-recipe", recipe = "rocket-silo"},
	  {type = "unlock-recipe", recipe = "rocket-part"},
      
    },
    prerequisites = {"rocket-silo"},
    unit =
    {
      --count = 1000,
	  count = 10, -- make it 1000!
      ingredients =
      {
        {"alien-science-pack", 1},
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
		{"rocket-science-pack", 1}
      },
      time = 60
    },
    order = "k-b"
  },
})